package com.ywt.mg.domain.models.enums;

public enum HospitalLevelEnum {

    /**
     *  医院等级（1：三级甲等；2：三级乙等；3：三级丙等 4：二级甲等；5：二级乙等；6：二级丙等  7：一级甲等；8：一级乙等；9：一级丙等）
     */

    ThreeGradeA("三级甲等", 1),
    ThreeGradeB("三级乙等", 2),
    ThreeGradeC("三级丙等", 3),
    SecondGradeA("二级甲等", 4),
    SecondGradeB("二级乙等", 5),
    SecondGradeC("二级丙等", 6),
    FirstGradeA("一级甲等", 7),
    FirstGradeB("一级乙等", 8),
    FirstGradeC("一级丙等", 9),
    UnKnown("未知", 0);

    private  final String displayName;

    private  final int value;

    HospitalLevelEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public static HospitalLevelEnum getDisplayName(int value) {
        switch (value){
            case 1:
                return ThreeGradeA;

            case 2:
                return ThreeGradeB;

            case 3:
                return ThreeGradeC;

            case 4:
                return SecondGradeA;

            case 5:
                return SecondGradeB;

            case 6:
                return SecondGradeC;

            case 7:
                return FirstGradeA;

            case 8:
                return FirstGradeB;

            case 9:
                return FirstGradeC;

            default:
                return UnKnown;
        }

    }

    public  String getDisplayName() {
        return displayName;
    }

    public  int getValue() {
        return value;
    }


}
